#version 120 
#extension GL_EXT_geometry_shader4 : enable 
#extension GL_EXT_gpu_shader4: enable

uniform float timer;

// a passthrough geometry shader for color and position 
void main() { 
	float x,y,z;
	vec4 pos;
	int count = 0;
	float ofs = 0;
	for(int i = 0; i < gl_VerticesIn; ++i){
		gl_FrontColor = gl_FrontColorIn[i]; 
		gl_Position = gl_PositionIn[i];
		gl_Position.y += ofs;

		if(count > 4) {
			ofs+=10.0;
			count = 0;
		}
		count++;
		EmitVertex(); 

		
	}
} 
